#version 330
// From vertex shader
in vec2 texcoord;

// Application data
uniform sampler2D sampler0;
uniform vec4 fcolor;

// Output color
layout(location = 0) out  vec4 color;
uniform float grayRatio;

void main()
{
	if (grayRatio > 0.0) {
		float edge = (sqrt(2)-1.0) / 2;
		float new_ratio = grayRatio*(1-edge) + edge;
		color = fcolor* texture(sampler0, vec2(texcoord.x, texcoord.y));
		color = vec4(vec3(dot(color.rgb, vec3(0.3,0.6,0.1))),color.w);
		if ((texcoord.x+texcoord.y)>(1.0+edge/4.0-new_ratio)*2.0) {
			color = vec4(color.xyz * 0.3, color.w);
			return;
		}
		return;
	}
	color = fcolor* texture(sampler0, vec2(texcoord.x, texcoord.y));
}
