#version 330 
// Input attributes
in vec2 in_position;
in vec2 in_uvcoord;
in vec2 in_centre_pos;
in vec3 in_color;
in float in_alpha;

// Passed to fragment shader
out vec3 vcolor;
out vec2 vpos;
out vec2 uvcoord;
out float valpha;

// Application data
uniform mat3 projection;

void main()
{
	uvcoord = in_uvcoord;
	vpos = in_position;
	vcolor = in_color;
	valpha = in_alpha;
	vec3 pos = projection * vec3(in_position.x + in_centre_pos.x, in_position.y + in_centre_pos.y, 1.0);
	gl_Position = vec4(pos.x, pos.y, 0.0, 1.0);
}